---
title: BiquadFilterNode()
slug: Web/API/BiquadFilterNode/BiquadFilterNode
tags:
  - API
  - Audio
  - BiquadFilterNode
  - Constructor
  - Media
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p><span class="seoSummary">The <strong><code>BiquadFilterNode()</code></strong> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("BiquadFilterNode")}} object, which represents a simple low-order filter, and is created using the AudioContext.createBiquadFilter() method.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var biquadFilterNode = new BiquadFilterNode(context, options)</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the </em><em>{{domxref("AudioNodeOptions")}} dictionary</em>.</p>

<dl>
 <dt><em>context</em></dt>
 <dd>A reference to an {{domxref("AudioContext")}}.</dd>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>Options are as follows:
 <ul>
  <li><code>type</code>: One of "<code>lowpass</code>", "<code>highpass</code>", "<code>bandpass</code>", "<code>lowshelf</code>", "<code>highshelf</code>", "<code>peaking</code>", "<code>notch</code>", "<code>allpass</code>". The meaning of the other options depends on the value of this one. The defaults for all are as follows:
   <ul>
    <li><code>Q</code>: <code>1</code></li>
    <li><code>detune</code>: <code>0</code></li>
    <li><code>frequency</code>: <code>350</code></li>
    <li><code>gain</code>: <code>0</code></li>
   </ul>
  </li>
 </ul>

 <p><code>lowpass</code>: (Default) Allows frequencies below a cutoff frequency to pass through, and attenuates frequencies above the cutoff. This is a standard second-order resonant lowpass filter with 12dB/octave rolloff.</p>

 <ul>
  <li><code>Q</code>: Controls how peaked the response will be at the cutoff frequency. A large value makes the response more peaked. Please note that for this filter type, this value is not a traditional Q, but is a resonance value in decibels.</li>
  <li><code>frequency</code>: The cutoff frequency.</li>
  <li><code>gain</code>: Not used.</li>
 </ul>
 </dd>
 <dd>
 <p><code>highpass</code>: A highpass filter is the opposite of a lowpass filter. Frequencies above the cutoff frequency are passed through, but frequencies below the cutoff are attenuated. It implements a standard second-order resonant highpass filter with 12dB/octave rolloff.</p>

 <ul>
  <li><code>Q</code>: Controls how peaked the response will be at the cutoff frequency. A large value makes the response more peaked. Please note that for this filter type, this value is not a traditional Q, but is a resonance value in decibels.</li>
  <li><code>frequency</code>: The cutoff frequency.</li>
  <li><code>gain</code>: Not used.</li>
 </ul>
 </dd>
 <dd>
 <p><code>bandpass</code>: A bandpass filter allows a range of frequencies to pass through and attenuates the frequencies below and above this frequency range. It implements a second-order bandpass filter.</p>

 <ul>
  <li><code>Q</code>: Controls the width of the band. The width becomes narrower as the Q value increases.</li>
  <li><code>frequency</code>: The center of the frequency band.</li>
  <li><code>gain</code>: Not used.</li>
 </ul>
 </dd>
 <dd>
 <p><code>lowshelf</code>: The lowshelf filter allows all frequencies through, but adds a boost (or attenuation) to the lower frequencies. It implements a second-order lowshelf filter.</p>

 <ul>
  <li><code>Q</code>: Not used.</li>
  <li><code>frequency</code>: The upper limit of the frequences where the boost, or attenuation, is applied.</li>
  <li><code>gain</code>: The boost, in dB, to be applied. If the value is negative, the frequencies are attenuated.</li>
 </ul>
 </dd>
 <dd>
 <p><code>highshelf</code>: The highshelf filter is the opposite of the lowshelf filter and allows all frequencies through, but adds a boost to the higher frequencies. It implements a second-order highshelf filter.</p>

 <ul>
  <li><code>Q</code>: Not used.</li>
  <li><code>frequency</code>: The lower limit of the frequences where the boost, or attenuation, is applied.</li>
  <li><code>gain</code>: The boost, in dB, to be applied. If the value is negative, the frequencies are attenuated.</li>
 </ul>
 </dd>
 <dd>
 <p><code>peaking</code>: The peaking filter allows all frequencies through, adding a boost, or attenuation, to a range of frequencies.</p>

 <ul>
  <li><code>Q</code>: The width of the band of frequencies that are boosted. A large value implies a narrow width.</li>
  <li><code>frequency</code>: The center frequency of the boost range.</li>
  <li><code>gain</code>: The boost, in dB, to be applied. If the value is negative, the frequencies are attenuated.</li>
 </ul>
 </dd>
 <dd>
 <p><code>notch</code>: The notch filter (also known as a band-stop, or band-rejection filter) is the opposite of a bandpass filter. It allows all frequencies through, except for a set of frequencies.</p>

 <ul>
  <li><code>Q</code>: The width of the band of frequencies that are attenuated. A large value implies a narrow width.</li>
  <li><code>frequency</code>: The center frequency of the attenuation range.</li>
  <li><code>gain</code>: Not used.</li>
 </ul>
 </dd>
 <dd>
 <p><code>allpass</code>: An allpass filter allows all frequencies through, but changes the phase relationship between the various frequencies. It implements a second-order allpass filter.</p>

 <ul>
  <li><code>Q</code>: The sharpness of the phase transition at the center frequency. A larger value implies a sharper transition and a larger group delay.</li>
  <li><code>frequency</code>: The frequency where the center of the phase transition occurs. Viewed another way, this is the frequency with maximal group delay.</li>
  <li><code>gain</code>: Not used.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("BiquadFilterNode")}} object instance.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-biquadfilternode-biquadfilternode','BiquadFilterNode()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.BiquadFilterNode.BiquadFilterNode")}}</p>
